MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields | Protected Member Functions
ArchiveFile Class Referenceabstract

`#include <ArchiveFile.hxx>`

Collaboration diagram for ArchiveFile:
[legend]

## Public Member Functions
| ArchiveFile (const ArchivePlugin &_plugin)
virtual void | Close ()=0
virtual void | Visit (ArchiveVisitor &visitor)=0
| Visit all entries inside this archive. More...
virtual InputStream * | OpenStream (const char *path, Mutex &mutex, Cond &cond)=0
| Opens an InputStream of a file within the archive. More...

## Data Fields
const ArchivePlugin & | plugin

## Protected Member Functions
| ~ArchiveFile ()
| Use Close() instead of delete. More...

## Detailed Description

Definition at line 29 of file ArchiveFile.hxx.

## Constructor & Destructor Documentation

ArchiveFile::ArchiveFile | ( | const ArchivePlugin & | _plugin | ) |
| inline

Definition at line 33 of file ArchiveFile.hxx.

ArchiveFile::~ArchiveFile | ( |  | ) |
| inline protected

Use Close() instead of delete.

Definition at line 40 of file ArchiveFile.hxx.

## Member Function Documentation

virtual void ArchiveFile::Close | ( |  | ) |
| pure virtual

virtual InputStream* ArchiveFile::OpenStream | ( | const char * | path,
|  | Mutex & | mutex,
|  | Cond & | cond
| ) |  |
| pure virtual

Opens an InputStream of a file within the archive.

Throws std::runtime_error on error.

Parameters

  path | the path within the archive

virtual void ArchiveFile::Visit | ( | ArchiveVisitor & | visitor | ) |
| pure virtual

Visit all entries inside this archive.

## Field Documentation

const ArchivePlugin& ArchiveFile::plugin

Definition at line 31 of file ArchiveFile.hxx.

The documentation for this class was generated from the following file:

- archive/ArchiveFile.hxx